- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# TransferDetailOperation Class Reference

This reference page is linked to from the following overview topics: Mudbox 2013.

Search for all occurrences

## Detailed Description

This Operation transfers the sculpting detail from one mesh to another.

This operation is equivalent to the Transfer Details function within the Mudbox UI.

Definition at line 99 of file operation.h.

`#include <operation.h>`

Inheritance diagram for TransferDetailOperation:
[legend]

List of all members.

## Public Member Functions
virtual void | SetSourceGeometry (Geometry *pSource)
| Set the source geometry for the operation.
virtual void | SetTargetGeometry (Geometry *pTarget)
| Set the target geometry for the operation.
virtual void | SetSearchDistance (float f)
| Sets the search distance used for the detail transfer.
virtual float | SearchDistance () const
| Returns the search distance used for the detail transfer.
virtual void | SetTransferOntoNewLayer (bool bNewLayer)
| Sets whether or not the transfered details are put onto a new sculpt layer.
virtual bool | TransferOntoNewLayer () const
| Returns whether or not the transfered details are put onto a new sculpt layer.
virtual void | SetTransferSculptLayers (bool bTransfer)
| Sets whether or not sculpt layers on the source are transfered to the target.
virtual bool | TransferSculptLayers () const
| Returns whether or not sculpt layers on the source are transfered to the target.
virtual void | SetTransferJointWeights (bool bTransfer)
| Sets whether or not joint weights on the source are transfered to the target.
virtual bool | TransferJointWeights () const
| Returns whether or not joint weights on the source are transfered to the target.
virtual void | SetSelectDirtyRegions (bool bSelect)
| Sets whether the dirty regions of the source are selected at the end of the transfer.
virtual bool | SelectDirtyRegions () const
| Returns whether the dirty regions of the source are selected at the end of the transfer.
virtual void | SetTestBothSides (bool bTest)
| Sets if both sides are considered in the transfer.
virtual bool | TestBothSides () const
| Returns if both sides are considered in the transfer.
virtual void | SetSearchMethod (int iMethod)
| Sets the search method used in the transfer.
virtual int | SearchMethod () const
| Returns the search method used in the transfer.
virtual void | SetTargetSubdivisionLevel (int iLevel)
| Sets the number of subdivision levels that the target will be subdivided to.
virtual int | TargetSubdivisionLevel () const
| Returns the number of subdivision levels that the target will be subdivided to.
virtual QWidget * | CreatePropertiesWindow (QWidget *pParent, bool bMinimal=false)
| Convenience method to create a modal settings dialog for the transfer operation.

## Member Function Documentation

virtual void SetSourceGeometry | ( | Geometry * | pSource | ) | `[virtual]`

Search for all occurrences

Set the source geometry for the operation.

Note the active subdivision level is used for the transfer.

virtual void SetTargetGeometry | ( | Geometry * | pTarget | ) | `[virtual]`

Search for all occurrences

Set the target geometry for the operation.

virtual void SetSearchDistance | ( | float | f | ) | `[virtual]`

Search for all occurrences

Sets the search distance used for the detail transfer.

See the corresponding tooltip in the transfer details UI for more information.

virtual float SearchDistance | ( |  | ) | const `[virtual]`

Search for all occurrences

Returns the search distance used for the detail transfer.

See the corresponding tooltip in the transfer details UI for more information.

virtual void SetTransferOntoNewLayer | ( | bool | bNewLayer | ) | `[virtual]`

Search for all occurrences

Sets whether or not the transfered details are put onto a new sculpt layer.

virtual bool TransferOntoNewLayer | ( |  | ) | const `[virtual]`

Search for all occurrences

Returns whether or not the transfered details are put onto a new sculpt layer.

virtual void SetTransferSculptLayers | ( | bool | bTransfer | ) | `[virtual]`

Search for all occurrences

Sets whether or not sculpt layers on the source are transfered to the target.

virtual bool TransferSculptLayers | ( |  | ) | const `[virtual]`

Search for all occurrences

Returns whether or not sculpt layers on the source are transfered to the target.

virtual void SetTransferJointWeights | ( | bool | bTransfer | ) | `[virtual]`

Search for all occurrences

Sets whether or not joint weights on the source are transfered to the target.

virtual bool TransferJointWeights | ( |  | ) | const `[virtual]`

Search for all occurrences

Returns whether or not joint weights on the source are transfered to the target.

virtual void SetSelectDirtyRegions | ( | bool | bSelect | ) | `[virtual]`

Search for all occurrences

Sets whether the dirty regions of the source are selected at the end of the transfer.

The dirty regions, are regions of the mesh that did not transfer successfully.

virtual bool SelectDirtyRegions | ( |  | ) | const `[virtual]`

Search for all occurrences

Returns whether the dirty regions of the source are selected at the end of the transfer.

virtual void SetTestBothSides | ( | bool | bTest | ) | `[virtual]`

Search for all occurrences

Sets if both sides are considered in the transfer.

See the corresponding tooltip in the Transfer Details UI for more information.

virtual bool TestBothSides | ( |  | ) | const `[virtual]`

Search for all occurrences

Returns if both sides are considered in the transfer.

virtual void SetSearchMethod | ( | int | iMethod | ) | `[virtual]`

Search for all occurrences

Sets the search method used in the transfer.

See the corresponding tooltip in the Transfer Details UI for more information.

virtual int SearchMethod | ( |  | ) | const `[virtual]`

Search for all occurrences

Returns the search method used in the transfer.

virtual void SetTargetSubdivisionLevel | ( | int | iLevel | ) | `[virtual]`

Search for all occurrences

Sets the number of subdivision levels that the target will be subdivided to.

Use -1 to automatically compute the level.

virtual int TargetSubdivisionLevel | ( |  | ) | const `[virtual]`

Search for all occurrences

Returns the number of subdivision levels that the target will be subdivided to.

virtual QWidget* CreatePropertiesWindow | ( | QWidget * | pParent,
|  | bool | bMinimal = `false`
| ) |  | `[virtual]`

Search for all occurrences

Convenience method to create a modal settings dialog for the transfer operation.

Parameters:

  [in] | pParent | The parent widget, typical Kernel()->Interface()->MainWindow()
  [in] | bMinimal | Set to true to hide the source and target widgets. Useful when the source are target are set programmatically, and should be fixed.

The documentation for this class was generated from the following file:

- Mudbox/operation.h

TransferDetailOperation TransferDetailOperation TransferDetailOperation TransferDetailOperation TransferDetailOperation TransferDetailOperation TransferDetailOperation TransferDetailOperation TransferDetailOperation TransferDetailOperation
TransferDetailOperation TransferDetailOperation TransferDetailOperation TransferDetailOperation TransferDetailOperation TransferDetailOperation TransferDetailOperation TransferDetailOperation TransferDetailOperation TransferDetailOperation